geotranz_3.3-2_all.deb


Advertisement

Description

geotranz - GEOgraphic coordinates TRANslator

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename geotranz_3.3-2_all.deb
Package name geotranz
Package version 3.3
Package release 2
Package architecture all
Package type deb
Category field::geography role::program use::converting utils
Homepage http://earth-info.nga.mil/GandG/geotrans/
License -
Maintainer Debian QA Group <packages@qa.debian.org>
Download size 88.32 MB
Installed size 149.57 MB
GEOTRANZ (Geographic Translator) is an application program which allows
you to easily convert geographic coordinates among a wide variety of
coordinate systems, map projections, and datums. Currently, twenty-five
different coordinate systems, map projections, grids, and coding
schemes, and over two hundred different datums, are supported.
The user interface of GEOTRANZ is similar to that of a calculator, but
can also be used to efficiently convert large numbers of coordinates
contained in text files.
GEOTRANZ is the Debian name of GEOTRANS, a product of the National
Geospatial-Intelligence Agency (NGA) and U.S. Army Engineering Research
and Development Center.
This package contains the geotranz java graphical interface.

Alternatives

Package Version Architecture Repository
geotranz_3.3-2_all.deb 3.3 all Debian Main
geotranz - - -

Requires

Name Value
default-jre -
libgeotranz3.3 >= 3.3

Download

Type URL
Mirror ftp.br.debian.org
Binary Package geotranz_3.3-2_all.deb
Source Package geotranz

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install geotranz deb package:
    # sudo apt-get install geotranz

Files

Path
/usr/bin/geotranz
/usr/share/applications/geotranz.desktop
/usr/share/doc/geotranz/changelog.Debian.gz
/usr/share/doc/geotranz/copyright
/usr/share/geotranz/MSPCCS.jar
/usr/share/geotranz/data/3_param.dat
/usr/share/geotranz/data/7_param.dat
/usr/share/geotranz/data/Und_min2.5x2.5_egm2008_WGS84_TideFree_reformatted
/usr/share/geotranz/data/default.xml
/usr/share/geotranz/data/egm84.grd
/usr/share/geotranz/data/egm96.grd
/usr/share/geotranz/data/ellips.dat
/usr/share/geotranz/data/wwgrid.bin
/usr/share/man/man1/geotranz.1.gz
/usr/share/menu/geotranz
/usr/share/pixmaps/geotrans.xpm

Changelog

2018-07-30 - Roberto Lumbreras <rover@debian.org>
geotranz (3.3-2) unstable; urgency=low
* Orphaning geotranz.
* Fixed trivial lintian issues: spaces, watch file, spelling error,
source code in jar.
2014-01-02 - Roberto Lumbreras <rover@debian.org>
geotranz (3.3-1) unstable; urgency=low
* New upstream version.
* Updated standards.
* Use default-jre instead of openjdk-6-jre.
* Depend on libjs-jquery and delete jquery.js from source.
* Switch to the shlibs system to end up with the c++ symbol tracking
nightmare (Closes: #729313).
2013-10-06 - Hideki Yamane <henrich@debian.org>
geotranz (3.2-1.1) unstable; urgency=low
* Non-maintainer upload
* update debian/libgeotranz3.2.symbols (Closes: #701286, #713750)
* add debian/libgeotranz3.2.symbols.i386
* debian/patches
- add 001.1-default-java-version.patch to adjust Java version to 1.6
2012-08-17 - Roberto Lumbreras <rover@debian.org>
geotranz (3.2-1) unstable; urgency=low
* New upstream version.
* Updated standards.
* symbols file: use dpkg-architecture to guess if we are in a 32-bit or
64-bit architecture; s390 is an exception. (Closes: #638948, #670250)
2012-01-22 - Hideki Yamane <henrich@debian.org>
geotranz (3.1-2.1) unstable; urgency=low
* Non-maintainer upload.
* debian/control
- use default-jdk (Closes: #640310)
* debian/patches/001-makefiles.patch
- update to use default-jdk
2011-03-12 - Roberto Lumbreras <rover@debian.org>
geotranz (3.1-2) unstable; urgency=low
* Fix symbols issue again, this time it'll work with g++ 4.4 and 4.5.
Hopefully (closes: #609504)
2011-03-06 - Roberto Lumbreras <rover@debian.org>
geotranz (3.1-1) unstable; urgency=low
* New upstream version.
* Added debian/make-orig-tar-bz2 to repackage the upstream .tgz easily.
* Dropped 005-openjdk-forms.patch, it didn't work well in all systems.
* Renamed libgeotranz3 to libgeotranz3.1 because of ABI changes.
* Added symbols64 file for alpha, s390 and 64bit architectures.
(Closes: #609504)
2010-12-30 - Roberto Lumbreras <rover@debian.org>
geotranz (3.0-1) unstable; urgency=low
* New upstream version. Repackaged upstream 'unix_dev.tgz' with no
binaries and corrected file permissions.
* Switch to '3.0 (quilt)' source format.
* Updated standards.
* Lintian: fixed "section" binary-control-field-duplicates-source;
added misc depends for debhelper.
* Merged the two public libraries in one named "libgeotranz.so", added a
SONAME and renamed -libs package to libgeotranz3 to match the SONAME.
* Provide a libgeotranz3-dev package. (Closes: #604059)
* Moved help files to the geotranz-help package, added "Recommends:" for it
and lowered the dependency of geotranz-doc to "Suggests:".
* Use ~/.geotranz.xml as Load/SaveSettings file on *nix systems.
* Fixed the size of most java forms for openjdk.
2008-11-30 - Roberto Lumbreras <rover@debian.org>
geotranz (2.4.2-3) unstable; urgency=low
* Move all Build-Depends-Indep to Build-Depends.
Fix makefile dependencies. (Closes: #507243)
2008-10-17 - Roberto Lumbreras <rover@debian.org>
geotranz (2.4.2-2) unstable; urgency=low
* Fix makefile to build also the libjnigeotrans.so library.

See Also

Package Description
gerbera_1.1.0+dfsg-3+b1_amd64.deb UPnP MediaServer
gerbv_2.7.0-1_amd64.deb Gerber file viewer (only RS 274 X format)
germinate_2.31_all.deb expand dependencies in a list of seed packages
gerris_20131206+dfsg-18+b2_amd64.deb Fluid Flow Solver
gerstensaft_0.3-4.2_amd64.deb Frontend for Simple Asynchronous File Transfer
gertty_1.5.0-2_all.deb Console-based interface to Gerrit
ges1.0-tools_1.14.4-1_amd64.deb Tools for use with the GStreamer editing services
gesftpserver_1~ds-1_amd64.deb sftp server submodule for OpenSSH
gespeaker_0.8.6-1_all.deb GTK+ front-end for eSpeak and mbrola
get-flash-videos_1.25.99.03-1_all.deb video downloader for various Flash-based video hosting sites
getdata_0.2-3_all.deb management of external databases
getdns-utils_1.5.1-1_amd64.deb modern asynchronous DNS API (utils)
getdp-sparskit_3.0.4+dfsg1-1_amd64.deb general environment for the treatment of discrete problems
getdp_3.0.4+dfsg1-1_amd64.deb general environment for the treatment of discrete problems
getlive_2.4+cvs20120801-1_all.deb fetch mail from your Hotmail Live account
Advertisement
Advertisement